{% extends 'base.html.twig' %}
{% block header_title %}Gestion des utilisateurs{% endblock %}
{% block header_subtitle %}Modification d'un compte utilisateur{% endblock %}

{% block body %}
    <div class="col-xxl-10 col-sm-12 col-md-12">
        {% for message in app.flashes('success') %}
            <div class="alert alert-fill alert-icon alert-success alert-dismissible">
                <em class="icon ni ni-check-circle-fill"></em>
                {{ message }}
            </div>
        {% endfor %}
        <div class="card card-bordered card-full">
            <div class="card-inner">
                <div class="card-title-group">
                    <div class="card-title">
                        <h6 class="title"><span class="me-2">{{ user.fullName }}</span></h6>
                    </div>
                </div>
            </div>
            <div class="card-inner border-top">
                <form action="{{ path('app_user_update', {'id': user.id}) }}" method="post" id="createUserForm">
                    <div class="row gy-4">
                        <div class="col-sm-6">
                            <div class="form-group">
                                {{ form_label(form.firstName) }}
                                <div class="form-control-wrap">
                                    {{ form_widget(form.firstName) }}
                                    {{ form_errors(form.firstName) }}
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                {{ form_label(form.lastName) }}
                                <div class="form-control-wrap">
                                    {{ form_widget(form.lastName) }}
                                    {{ form_errors(form.lastName) }}
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                {{ form_label(form.email) }}
                                <div class="form-control-wrap">
                                    {{ form_widget(form.email) }}
                                    {{ form_errors(form.email) }}
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                {{ form_label(form.roles) }}
                                <div class="form-control-wrap">
                                    {{ form_widget(form.roles) }}
                                    {{ form_errors(form.roles) }}
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                {{ form_label(form.publisher) }}
                                <div class="form-control-wrap">
                                    {{ form_widget(form.publisher) }}
                                    {{ form_errors(form.publisher) }}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="mt-4">
                        <button class="btn btn-success" type="submit"><em class="icon ni ni-save-fill me-1"></em> Enregistrer</button>
                        <button class="btn btn-danger" type="button" id="removeUserBtn"><em class="icon ni ni-trash-fill me-1"></em> Supprimer</button>
                    </div>
                    {{ form_widget(form._token) }}
                </form>
            </div>
        </div><!-- .card -->
    </div><!-- .col -->
{% endblock %}

{% block javascripts %}
<script>
    const $removeUserBtn = document.getElementById("removeUserBtn");
    $removeUserBtn.addEventListener('click', function () {
        if(confirm('Souhaites-tu supprimer le compte de {{ user.fullName }} ?')) {
            window.location = "{{ path('app_user_delete', {'token': user.token})|escape('js') }}"
        }
    })
</script>
{% endblock %}
